<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Markup/RST/SummaryExtractor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Markup.RST.SummaryExtractor</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../DocBook.html" >DocBook</a>.<a href="../../Markup.html" >Markup</a>.<a href="../RST.html" >RST</a>
</div><div class="class-name">class SummaryExtractor

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/DocBook/Markup/RST.py.html" target="detail">../Synopsis/Formatters/DocBook/Markup/RST.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Markup.RST.SummaryExtractor" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/RST.py.html#line1067" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="SummaryExtractor-inheritance" src="SummaryExtractor-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SummaryExtractor-inheritance_map" />
<map name="SummaryExtractor-inheritance_map"></map>
 <div class="doc">A SummaryExtractor creates a document containing the first sentence of
    a source document.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="summary">summary</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/RST.py.html#line1074" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">document</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Markup.RST.SummaryExtractor.__init__" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/RST.py.html#line1071" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SummaryExtractor.html#visit_paragraph" >visit_paragraph</a></span>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Markup.RST.SummaryExtractor.visit_paragraph" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/RST.py.html#line1077" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Copy the paragraph but only keep the first sentence.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="SummaryExtractor.html#unknown_visit" >unknown_visit</a></span>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Markup.RST.SummaryExtractor.unknown_visit" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/RST.py.html#line1103" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_paragraph">visit_paragraph</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Markup.RST.SummaryExtractor.visit_paragraph" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/RST.py.html#line1077" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Copy the paragraph but only keep the first sentence.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="unknown_visit">unknown_visit</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref7.html#Synopsis.Formatters.DocBook.Markup.RST.SummaryExtractor.unknown_visit" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/DocBook/Markup/RST.py.html#line1103" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Ignore all unknown nodes</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:08 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
